GET /api/v1/orders

billbee.io

Summary: Get a list of all orders optionally filtered by date
Operation ID: OrderApi_GetList
Auth: unknown

Parameters (12)

articleTitleSource (integer, query, optional)

The source field for the article title. 0 = Order Position (default), 1 = Article Title, 2 = Article Invoice Text

Constraints: {'enum': [0, 1, 2, 3]}

excludeTags (boolean, query, optional)

If true the list of tags passed to the call are used to filter orders to not include these tags

maxOrderDate (string, query, optional)

Specifies the newest order date to include in the response

minOrderDate (string, query, optional)

Specifies the oldest order date to include in the response

minimumBillBeeOrderId (integer, query, optional)

If given, all delivered orders have an Id greater than or equal to the given minimumOrderId

modifiedAtMax (string, query, optional)

If given, the last modification has to be older or equal than the given date.

modifiedAtMin (string, query, optional)

If given, the last modification has to be newer than the given date

orderStateId (array, query, optional)

Specifies a list of state ids to include in the response

page (integer, query, optional)

Specifies the page to request

pageSize (integer, query, optional)

Specifies the pagesize. Defaults to 50, max value is 250

shopId (array, query, optional)

Specifies a list of shop ids for which invoices should be included

tag (array, query, optional)

Specifies a list of tags the order must have attached to be included in the response

No probe data for this endpoint yet.